SETSID(8V)

NAME
setsid - set process to session leader

SYNOPSIS
setsid [ -b ] command [ arguments ]

DESCRIPTION

setsid executes command after altering the execution environment such that the next non-controlling terminal opened will be assigned as command's controlling terminal.

OPTIONS

-b  Alteration to the execution environment persists across calls to fork(2V).

The -b option puts the process into a state that is supported in SunOS Release 4.1 solely as a migration aid; this option will not be supported in future releases.

EXAMPLES

Components of two SunLink products, /usr/sunlink/dni/dnilogind (the DECNET analog of rlogind(8C) and /usr/sunlink/x25/x29 (the OSI analog of rlogind), are known to need this wrapper. Typical usage is:

    example%  cd /usr/sunlink/dni
    example%  mv dnilogind .dnilogind
    example%  cat > dnilogind
    #!/bin/sh
    /usr/etc/setsid -b /usr/sunlink/dni/.dnilogind "$@"
    ^D
    example%  chmod +x dnilogind

SEE ALSO
setsid(2V)

IEEE Std 1003.1-1988